config/routes.rb
Rails.application.routes.draw do
  get 'welcome/index'
  get 'home/index'
  devise_for :users, controllers: {
    sessions: 'users/sessions',
    registrations: 'users/registrations'
  }
  devise_scope :user do
   # root to: 'users/sessions#home'
    get 'sign_in', to: 'users/sessions#new'
    get '/users/sign_out', to: 'users/sessions#destroy'
  end

  resources :users do
    resources :posts
  end

  resources :posts do
    member do
      get 'show_when_session_destroy'
    end
  end
  root to: 'posts#home'
  get 'home', to: 'posts#home'
end

app/views/layouts/_header.html.erb
<header style="background-color: #BFC9CA" class="header">
  <% if user_signed_in? %>
    <ul><li class="text-info" style="float: left">
          <%= current_user.email %> !
      </li>
      <li>
        <%= button_to('logout', destroy_user_session_path, class:"btn btn-outline-danger my-2 my-sm-0", method: :delete) %>
      </li>
      <li>
        <%= link_to 'edit_usr', edit_user_registration_path(), class:"btn btn-outline-primary my-2 my-sm-0"%>
      </li>
      <li>
        <%= link_to('create_posts', new_user_post_path(current_user.id), class:"btn btn-outline-primary my-2 my-sm-0") %>
      </li>
      <li>
        <%= link_to('show', user_posts_path(current_user.id), class:"btn btn-outline-primary my-2 my-sm-0") %>
      </li>
    </ul>
  <% else %>
    <ul>
      <li>
        <%= link_to(' login ', new_user_session_path, class:"btn btn-outline-primary my-2 my-sm-0") %>
      </li>
      <li>
        <%= link_to(' signup ', new_user_registration_path, class:"btn btn-outline-primary my-2 my-sm-0") %>
      </li>
    </ul>
  <% end %>
</header>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Rail_Application</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>

    <link href="https://cdn.jsdelivr.net/npm/froala-editor@3.0.6/css/froala_editor.pkgd.min.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/froala-editor@3.0.6/js/froala_editor.pkgd.min.js"></script>
    <link href="../css/froala_style.min.css" rel="stylesheet" type="text/css" />

    <%= render "layouts/header"%>


  </head>

  <body>
    <%= yield %>
  </body>
</html>